MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026256Open CASCADE[OCCT] OCCT:Application Frameworkpublic2015-05-22 11:332017-09-22 12:05
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0026256: FSD_File and FSD_CmpFile are almost twins
DescriptionFSD_CmpFile is a almost copy of FSD_File. Why FSF_CmpFile is not child of FSD_File?
Steps To ReproduceN/A (Only optimization of architecture).
TagsNo tags attached.
Test case numberpersist fsd B1
Attached Files? file icon bug26256.cmp (13,940 bytes) 2017-09-13 16:47

- Relationships

-  Notes
(0041453)
szy (developer)
2015-05-22 17:19

It is not correct definition.
Both inherit from BaseDriver from Storage which defines
in general the framework of a specific driver implementation.
Both as BinaryFile as CmpFile implement the same methods in different way
taking into account that input data have different nature and structure.
I.e. here is used separation by type approach.
What is strange here?
(0041455)
ibs (developer)
2015-05-22 17:49

90% of the code is the same for both the classes. Would a parent class containing shared code be better approach for further development and support?
(0049688)
szy (developer)
2015-12-30 16:09

Vlad,
Check optimization possibility, please.
(0070506)
git (administrator)
2017-09-13 16:45

Branch CR26256 has been created by szy.

SHA-1: d8295a297a4526f117d7c03fca040b5bd312b3ec


Detailed log of new commits:

Author: szy
Date: Wed Sep 13 16:43:32 2017 +0300

    0026256: FSD_File and FSD_CmpFile are almost twins.
    
    //CmpFile inheritance schema is changed.
    //Additional test - B1 is added to persist/fsd folder.
(0070508)
szy (developer)
2017-09-13 16:48

Test case B1 requires file bug26256.cmp (attached).
(0070523)
bugmaster (administrator)
2017-09-14 11:35

bug26256.cmp has been pushed to shape database.
Results of testing:

http://jenkins-test-10.nnov.opencascade.com/view/CR26256-master-SZY/view/TESTING/job/CR26256-master-SZY-OCCT-Debian70-64-opt-test-restart/HTML_Report/ [^]

http://jenkins-test-10.nnov.opencascade.com/view/CR26256-master-SZY/view/TESTING/job/CR26256-master-SZY-OCCT-Windows-64-VC10-opt-test-restart/HTML_Report/ [^]
(0070527)
szy (developer)
2017-09-14 12:51

Review it, please.
Jenkins result =>http://jenkins-test-10.nnov.opencascade.com/view/CR26256-master-SZY/. [^]
Testgrid relevant to test modifications: 'persist/fsd'
New test case: B1
(0070575)
bugmaster (administrator)
2017-09-15 11:13

Combination:
Branch OCCT : CR26256 SHA-1: d8295a297a4526f117d7c03fca040b5bd312b3ec
Branch products : master
was compiled on Linux, MacOS and Windows platforms and tested on Release mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Detected differences have been agreed with developer

Image differences :
Detected differences have been agreed with developer

Memory differences :
No differences that require special attention

New test cases are OK

- Related Changesets
occt: master 547ba1a6
Timestamp: 2017-09-13 13:43:32
Author: szy
Committer: bugmaster
Details ] Diff ]
0026256: FSD_File and FSD_CmpFile are almost twins.
mod - src/FSD/FSD_CmpFile.cxx Diff ] File ]
mod - src/FSD/FSD_CmpFile.hxx Diff ] File ]
mod - src/FSD/FSD_File.cxx Diff ] File ]
mod - src/FSD/FSD_File.hxx Diff ] File ]
add - tests/persist/fsd/B1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-22 11:33 ibs New Issue
2015-05-22 11:33 ibs Assigned To => szy
2015-05-22 17:12 szy Status new => assigned
2015-05-22 17:19 szy Note Added: 0041453
2015-05-22 17:19 szy Status assigned => feedback
2015-05-22 17:49 ibs Note Added: 0041455
2015-05-22 17:49 ibs Status feedback => assigned
2015-12-30 16:08 szy Assigned To szy => vro
2015-12-30 16:09 szy Note Added: 0049688
2016-04-16 07:59 abv Target Version 6.9.0 => 7.1.0
2016-11-03 17:21 abv Target Version 7.1.0 => 7.2.0
2017-07-27 09:43 abv Target Version 7.2.0 => 7.3.0*
2017-08-23 17:46 szy Assigned To vro => szy
2017-09-13 16:45 git Note Added: 0070506
2017-09-13 16:47 szy File Added: bug26256.cmp
2017-09-13 16:48 szy Note Added: 0070508
2017-09-14 11:35 bugmaster Note Added: 0070523
2017-09-14 12:51 szy Note Added: 0070527
2017-09-14 12:51 szy Assigned To szy => vro
2017-09-14 12:51 szy Status assigned => resolved
2017-09-14 12:51 szy Steps to Reproduce Updated View Revisions
2017-09-14 13:07 bugmaster Test case number => persist fsd B1
2017-09-14 14:31 vro Assigned To vro => bugmaster
2017-09-14 14:31 vro Status resolved => reviewed
2017-09-15 11:13 bugmaster Note Added: 0070575
2017-09-15 11:13 bugmaster Status reviewed => tested
2017-09-17 23:32 kgv Severity just a question => integration request
2017-09-17 23:32 kgv Product Version Unscheduled =>
2017-09-21 19:33 bugmaster Changeset attached => occt master 547ba1a6
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:50 apn Target Version 7.3.0* => 7.2.0
2017-09-22 12:05 bugmaster Target Version 7.2.0 => 7.3.0*


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker